
<!DOCTYPE html>
<html lang="en">

	<head>
		<title>Nuvei Payments</title>

		<!-- 
		all styles and scripts are for demo page only, and are not required for payments processing purposes.
		Validator is also for demo purpose only, and can be replaced or abondoned.
		-->
		
		<!--======================== CSS ============================-->
		<link rel="stylesheet" href="assets/css/skeleton.css" type="text/css" media="screen">
		<link rel="stylesheet" href="assets/css/forms.css" type="text/css" media="screen">
		
		<!--======================== JS ============================-->
		<script src="assets/js/jquery.js" type="text/javascript"></script>		
		<script src="assets/js/validator.js" type="text/javascript"></script>
			<script>
				var validationRules = [
					// section 1
					["ORDERID","req","Required Field. "],
					["AMOUNT","req","Required Field. "],
					["AMOUNT","numeric","Enter correct amount. "],
					["CARDHOLDERNAME","req","Required Field. "],
					["EMAIL","req","Required Field. "],
					["EMAIL","email","Enter valid email. "]
				]	
			</script>

		<!-- unique SECURE CARD MERCHANTREF value script -->
		<script>	
			function deactivationUQID(id_length, some_value){
				if((id_length === undefined && some_value === undefined) || (id_length === "" && some_value === "")) return 'unique value';
				var date = new Date(),
					microtime = date.getTime() + date.getMilliseconds() + '',
					some_value = some_value.replace(/\s/, '');
				return (some_value === undefined) 
					? microtime.substring(microtime.length - id_length, microtime.length)
					: (some_value.length >= id_length / 2)        	
							? some_value.substring(0, Math.ceil(id_length/2)).toUpperCase() + microtime.substring(microtime.length - id_length / 2, microtime.length)
							: some_value.toUpperCase() + microtime.substring(microtime.length - id_length + some_value.length, microtime.length)               
			};		
			$(document).ready(function(){
				if($('#scref').val() == '') $('#scref').val(deactivationUQID(10, 'SC'))
			});
		</script>				
			
	</head>
	
	
	<body>
		<!--======================== header ============================-->
		<header>
			</br>
		</header>
		
		
		<!--======================== content ===========================-->
		<section id="content">
			<div class="container_24">
				<div class="wrapper">

					<!-- PAYMENT FORM START -->
					<form action="functions/nuvei_payment.php" method="post" name="myform" id="myform">
						<h3>Nuvei Sample Payments Form</h3>
						
						<br/>

						<div class="wrapper">
							<div class="grid_18 section-title"><p>Details:</p></div>		
						</div>	
																
						<div class="wrapper">
							<div class="grid_6" id="formname">Order ID<span class="required">*</span></div>	
							<div class="grid_8"> <input class="textInput" type="text" id="ORDERID" name="ORDERID" placeholder="order ID" /> </div>										
						</div>	
							
						<div class="wrapper">
							<div class="grid_6" id="formname">Description</div>	
							<div class="grid_8">  <input class="textInput" type="text" id="DESCRIPTION" name="DESCRIPTION" placeholder="optional description" /> </div>										
						</div>	
																									
						<div class="wrapper">
							<div class="grid_6" id="formname">Amount<span class="required">*</span></div>	
							<div class="grid_3">  <input class="textInput" type="text" name="AMOUNT" id="AMOUNT" placeholder="10.00" style="text-align:right" />   </div>										
						</div>																				
								
						<div class="wrapper">
							<div class="grid_6" id="formname">Cardholder Name<span class="required">*</span></div>	
							<div class="grid_8"> <input class="textInput" type="text" id="CARDHOLDERNAME" name="CARDHOLDERNAME" value="" placeholder="name and surname" /> </div>										
						</div>				
																
						<div class="wrapper">
							<div class="grid_6" id="formname">E-mail<span class="required">*</span></div>	
							<div class="grid_8"> <input class="textInput" type="text" id="EMAIL" name="EMAIL" value="" placeholder="name@yourdomain.com" /> </div>										
						</div>														

						<div class="wrapper">
							<div class="grid_6" id="formname">Secure Card Reference</div>	
							<div class="grid_8"> <input class="textInput" type="text" id="scref" name="SECURECARDMERCHANTREF" value="" placeholder="secure card reference" /> </div>										
						</div>	
	
						<!-- Send Buttons -->
						<div class="wrapper sendButtons">
							<div class="grid_6 "><br/></div>	
							<div class="grid_4"> <input id="send" type="submit" value="Pay Now" /> </div>
							<div class="grid_6 "><br/></div>	
						</div>											

						<div class="wrapper">
							<div class="grid_10"><br/><br/></div>							
						</div>	
					</form>
					<!-- PAYMENT FORM END -->
					
				</div>
			</div>
		</section>
				
		<!--======================== footer ============================-->
		<footer>
			<br/>
		</footer>
	</body>
</html>